curl --request GET \
--url 'https://api.sandbox.stateset.app/api/v1/usage/history' \
--header "Authorization: Bearer $STATESET_SANDBOX_API_KEY"
{
"granularity": "hourly",
"start_date": "2026-08-31T14:22:05Z",
"end_date": "2026-08-31T14:22:05Z",
"data": [
{
"period_start": "2026-08-31T14:22:05Z",
"period_end": "2026-08-31T14:22:05Z",
"cpu_hours": 1.5,
"memory_gb_hours": 1.5,
"network_gb": 1.5,
"sandbox_creations": 1,
"sandbox_count": 1
}
]
}
Get usage history
Usage history data
GET
/
api
/
v1
/
usage
/
history
curl --request GET \
--url 'https://api.sandbox.stateset.app/api/v1/usage/history' \
--header "Authorization: Bearer $STATESET_SANDBOX_API_KEY"
{
"granularity": "hourly",
"start_date": "2026-08-31T14:22:05Z",
"end_date": "2026-08-31T14:22:05Z",
"data": [
{
"period_start": "2026-08-31T14:22:05Z",
"period_end": "2026-08-31T14:22:05Z",
"cpu_hours": 1.5,
"memory_gb_hours": 1.5,
"network_gb": 1.5,
"sandbox_creations": 1,
"sandbox_count": 1
}
]
}
Query parameters
string (date)
Start date
string (date)
End date
string
hourly, daily, or monthly
Response
object
string
required
string (date-time)
required
string (date-time)
required
object[]
required
Status codes
| Code | Meaning |
|---|---|
200 | Usage history data |
curl --request GET \
--url 'https://api.sandbox.stateset.app/api/v1/usage/history' \
--header "Authorization: Bearer $STATESET_SANDBOX_API_KEY"
{
"granularity": "hourly",
"start_date": "2026-08-31T14:22:05Z",
"end_date": "2026-08-31T14:22:05Z",
"data": [
{
"period_start": "2026-08-31T14:22:05Z",
"period_end": "2026-08-31T14:22:05Z",
"cpu_hours": 1.5,
"memory_gb_hours": 1.5,
"network_gb": 1.5,
"sandbox_creations": 1,
"sandbox_count": 1
}
]
}
Last modified on August 31, 2026